### Method

# Gio TlsConnection get_peer_certificate_errors

since: 2.28

#### Declaration

    GTlsCertificateFlags
    g_tls_connection_get_peer_certificate_errors (
      GTlsConnection* conn
    )

#### Description

Gets the errors associated with validating `conn`‘s peer’s certificate, after the handshake has completed or failed. (It is not set during the emission of `GTlsConnection::accept-certificate`.)

See `GTlsConnection:peer-certificate-errors` for more information.

Available since: 2.28

Gets property | `Gio.TlsConnection:peer-certificate-errors`

#### Return value

Type: `GTlsCertificateFlags`

`conn`‘s peer’s certificate errors.